<?php
/**
 * The template for displaying comments.
 *
 * @package skito
 */

defined( 'ABSPATH' ) || die();

if ( post_password_required() ) {
	return;
}
?>

<div class="comments-area" id="comments">

	<?php if ( have_comments() ) : ?>
		<h4 class="comments-title">
			<?php
				$comments_number = get_comments_number();
				if ( 1 === $comments_number ) {
				    esc_html_e( 'Comment', 'skito' );
				} else {
					echo sprintf(
						/* translators: %s: number of comments */
						_nx( '%s Comment', '%s Comments', $comments_number, 'comments title', 'skito' ),
						number_format_i18n( $comments_number )
					);
				}
			?>
		</h4>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
			<nav class="comment-navigation" id="comment-nav-above">
				
				<strong class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'skito' ); ?></strong>
				
				<?php if ( get_previous_comments_link() ) : ?>
					<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'skito' ) ); ?></div>
				<?php endif; ?>

                <?php if ( get_next_comments_link() ) : ?>
					<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'skito' ) ); ?></div>
				<?php endif; ?>

			</nav>
		<?php endif; ?>

		<ol class="comment-list">
			<?php
			wp_list_comments( array(
				'style'      => 'ol',
				'short_ping' => true,
			) );
			?>
		</ol>

	<?php endif; ?>

	<?php if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<h4 class="no-comments"><?php esc_html_e( 'Comments are closed.', 'skito' ); ?></h4>
	<?php endif; ?>

    <?php
    comment_form( [
            'label_submit' => esc_html__( 'Submit', 'skito' ),
            'title_reply' => esc_html__( 'Leave a Comment', 'skito' ),
            'title_reply_before' => '<h4 class="comment-reply-title">',
            'title_reply_after' => '</h4>'
    ] ); ?>

</div>
