<?php
/**
 * Header file for the Twenty Twenty WordPress default theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package skito
 */

use Skito\inc\Template_Tags;

defined( 'ABSPATH' ) || die();
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>

    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" >

    <link rel="profile" href="https://gmpg.org/xfn/11">

    <?php wp_head(); ?>

</head>

<body <?php body_class( 'skito' ); ?>>

    <?php Template_Tags::body_open(); ?>

    <header class="skito-header">

        <a class="skip-link screen-reader-text" href="#content">
            <?php _e( 'Skip to content', 'skito' ); ?>
        </a>

        <div class="skito-header-brand">
            <?php 
            echo Template_Tags::theme_logo(); 
            echo Template_Tags::theme_description();
            ?>
        </div>

        <nav class="skito-nav-menu">
            <?php if ( has_nav_menu( 'primary' ) ) : ?>
                <button class="nav-toggler"><?php esc_html_e( 'Menu', 'skito' ); ?></button>
            <?php endif; ?>

            <?php wp_nav_menu(
                [
                    'theme_location'  => 'primary',
                    'container_class' => 'navbar_nav_container',
                    'menu_id'         => 'main-menu',
                    'menu_class'      => 'navbar_nav',
                    'depth'           => 1,
                    'fallback_cb'     => 'Skito_Nav_Walker::nav_fallback',
                ]
            ); ?>

            <?php if ( has_nav_menu( 'primary' ) ) : ?>
                <button class="nav-close"><?php echo esc_html( 'X' ); ?></button>
            <?php endif; ?>
        </nav>

    </header>
