<?php
/**
 * Sets up theme assests. [JS, CSS]
 *
 * @package skito
 */

namespace Skito\inc;

defined( 'ABSPATH' ) || die();

class Assets {

    function __construct() {
        add_action( 'wp_enqueue_scripts', [ $this, 'register_assets' ] );
        add_action( 'enqueue_block_editor_assets', [ $this, 'block_editor' ] );
    }

    public function register_assets() {
        wp_enqueue_style( 'skito-main-style', get_template_directory_uri() . '/assets/css/skito-main.min.css', array(), wp_get_theme()->get( 'Version' ) );

        wp_enqueue_script( 'skito-main-js', get_template_directory_uri() . '/assets/js/skito-main.min.js', array('jquery'), wp_get_theme()->get( 'Version' ), true );

        if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
            wp_enqueue_script( 'comment-reply' );
        }
    }

    public function block_editor() {
        wp_enqueue_style( 'skito-block-style', get_template_directory_uri() . '/assets/css/skito-editor.min.css', array(), wp_get_theme()->get( 'Version' ) );
    }

}
