<?php
/**
 * Sets up theme defaults functionality
 *
 * @package skito
 */

namespace Skito\inc;

defined( 'ABSPATH' ) || die();

class Setup {

    function __construct() {
        add_action( 'after_setup_theme', [ $this, 'theme_support' ] );
    }

    public function theme_support() {

        load_theme_textdomain( 'skito' );

        global $content_width;
        if ( ! isset( $content_width ) ) {
            $content_width = 580;
        }

        add_theme_support( 'title-tag' );

        add_theme_support( 'post-thumbnails' );

        add_theme_support( 'align-wide' );

        add_editor_style( [ 'assets/css/skito-editor.min.css' ] );

        add_theme_support( 'editor-styles' );

        add_theme_support( 'wp-block-styles' );

        add_theme_support(
            'custom-logo',
            [
                'height'      => 80,
                'width'       => 80,
                'flex-height' => false,
                'flex-width'  => true,
            ]
        );

        register_nav_menus( [
            'primary' => __( 'Primary Menu', 'skito' ),
        ] );

        add_theme_support( 'post-formats', [ 'aside', 'image', 'video', 'quote', 'link' ] );

        add_theme_support( 'html5', [ 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption', 'script', 'style' ] );

        add_theme_support( 'automatic-feed-links' );

        add_theme_support( 'customize-selective-refresh-widgets' );

    }

}