<?php
/**
 * The template part for displaying a message that posts cannot be found
 *
 * @package skito
 */

defined( 'ABSPATH' ) || die();
?>

<article class="skito-notfound">
	
    <h2 class="skito-notfound__title">
        <?php esc_html_e( 'Nothing Found', 'skito' ); ?>
    </h2>

	<div class="skito-notfound__content">
		<?php
		if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
			<p class="skito-notfound__content-error">
				<?php printf( wp_kses( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'skito' ), array(
						'a' => array(
							'href' => array(),
						),
					) ), esc_url( admin_url( 'post-new.php' ) ) ); ?>
			</p>
		<?php elseif ( is_search() ) : ?>
			<p class="skito-notfound__content-error">
				<?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'skito' ); ?>
			</p>
			<?php
            get_search_form();
		else : ?>
			<p class="skito-notfound__content-error">
                <?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'skito' ); ?>
            </p>
			<?php
            get_search_form();
		endif; ?>
	</div>
	
</article>
