<?php
/**
 * template for displaying Single Post content
 *
 * @package skito
 */

use Skito\inc\Template_Tags;

defined( 'ABSPATH' ) || die();
?>

<article <?php post_class( 'skito-single' ); ?> id = "post-<?php the_ID(); ?>">

    <?php if ( has_post_thumbnail() ) : ?>
        <div class="skito-single__image">
            <?php the_post_thumbnail( 'full' ); ?>
        </div>
    <?php endif; ?>

    <h2 class="skito-single__title"><?php the_title(); ?></h2>

    <div class="skito-single__meta">
        <?php
        echo Template_Tags::get_post_author();
        echo Template_Tags::get_post_datetime();
        ?>
        <div class="skito-single__meta-categories"><?php echo Template_Tags::get_post_categories(); ?></div>
        <?php echo get_the_tag_list( '<div class="skito-single__meta-tag">', '', '</div>' ); ?>
    </div>

    <div class="skito-single__content">
        <?php
        the_content();

        wp_link_pages( [
                'before' => '<div class="page-links">' . __( 'Pages:', 'skito' ),
                'after' => '</div>',
        ] );
        ?>
    </div>

    <?php echo Template_Tags::post_nav(); ?>

</article>