<?php
/**
 * The default template for displaying Post content
 *
 * @package skito
 */

use Skito\inc\Template_Tags;

defined( 'ABSPATH' ) || die();
?>

<article <?php post_class( 'skito-post' ); ?> id="post-<?php the_ID(); ?>">

    <?php if ( has_post_thumbnail() ) : ?>
        <div class="skito-post__media">
            <?php the_post_thumbnail( 'large', [ 'class' => 'skito-post__media-feature-image' ] );  ?>
        </div>
    <?php endif; ?>

    <div class="skito-post__content">
        <h2 class="skito-post__content--title">
            <a href="<?php the_permalink(); ?>">
                <?php the_title(); ?>
            </a>
        </h2>
        <div class="skito-post__content--meta">
            <?php
            echo Template_Tags::get_post_author();
            echo Template_Tags::get_post_datetime();
            echo Template_Tags::get_post_category();
            ?>
        </div>
        <div class="skito-post__content--excerpt"><?php the_excerpt(); ?></div>
    </div>

</article>
